Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/InstanceProviders/EcbProblemInstanceProvider.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/InstanceProviders/EcbProblemInstanceProvider.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/InstanceProviders/EcbProblemInstanceProvider.cs	(revision 14927)
@@ -68,6 +68,5 @@
           }
         }
-      }
-      catch (Exception) {
+      } catch (Exception) {
       }
       return l;
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/ProblemData.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/ProblemData.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/ProblemData.cs	(revision 14927)
@@ -27,8 +27,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading {
-  [StorableClass]
+  [StorableType("1af89178-ebac-4152-a725-95a32816ce2a")]
   [Item("TradingProblemData", "Represents an item containing all data defining a trading problem.")]
   public sealed class ProblemData : DataAnalysisProblemData, IProblemData {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Solution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Solution.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Solution.cs	(revision 14927)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading {
@@ -31,5 +31,5 @@
   /// Abstract base class for trading data analysis solutions
   /// </summary>
-  [StorableClass]
+  [StorableType("8e3d96bd-228e-4e7b-9037-ba287783794a")]
   public abstract class Solution : DataAnalysisSolution, ISolution {
     private const string TrainingSharpeRatioResultName = "Sharpe ratio (training)";
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Model.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Model.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Model.cs	(revision 14927)
@@ -25,5 +25,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
@@ -32,5 +32,5 @@
   /// Represents a symbolic trading model
   /// </summary>
-  [StorableClass]
+  [StorableType("c3fd072e-a223-4e81-8294-318c1113de61")]
   [Item(Name = "Model (symbolic trading)", Description = "Represents a symbolic trading model.")]
   public class Model : SymbolicDataAnalysisModel, IModel {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Evaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Evaluator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Evaluator.cs	(revision 14927)
@@ -22,9 +22,9 @@
 
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading.Symbolic {
-  [StorableClass]
+  [StorableType("132efc9e-f62a-4272-b931-0a4a9e3ed561")]
   public abstract class SingleObjectiveEvaluator : SymbolicDataAnalysisSingleObjectiveEvaluator<IProblemData>, ISingleObjectiveEvaluator {
     [StorableConstructor]
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Problem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Problem.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/Problem.cs	(revision 14927)
@@ -22,10 +22,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading.Symbolic {
   [Item("Symbolic Trading Problem (single-objective)", "Represents a single-objective symbolic trading problem.")]
-  [StorableClass]
+  [StorableType("75da4181-7ecd-4252-8fac-efd34cbb2b2b")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 150)]
   public class SingleObjectiveProblem : SymbolicDataAnalysisSingleObjectiveProblem<IProblemData, ISingleObjectiveEvaluator, ISymbolicDataAnalysisSolutionCreator>, IProblem {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ProfitEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ProfitEvaluator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ProfitEvaluator.cs	(revision 14927)
@@ -25,10 +25,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading.Symbolic {
   [Item("Profit Evaluator", "")]
-  [StorableClass]
+  [StorableType("d762d1f3-7dc3-4a8b-b3ae-bae9c1668ba9")]
   public class ProfitEvaluator : SingleObjectiveEvaluator {
     [StorableConstructor]
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/SharpeRatioEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/SharpeRatioEvaluator.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/SharpeRatioEvaluator.cs	(revision 14927)
@@ -25,10 +25,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
 namespace HeuristicLab.Problems.DataAnalysis.Trading.Symbolic {
   [Item("Sharpe Ratio Evaluator", "")]
-  [StorableClass]
+  [StorableType("07ef1a4d-ec87-4ccc-907c-0fb988ab493f")]
   public class SharpeRatioEvaluator : SingleObjectiveEvaluator {
     [StorableConstructor]
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/TrainingBestSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/TrainingBestSolutionAnalyzer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/TrainingBestSolutionAnalyzer.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("Training-best Solution Analyzer (symbolic trading)", "An operator that analyzes the training best symbolic trading solution for single objective symbolic trading problems.")]
-  [StorableClass]
+  [StorableType("dafa8b61-6d22-46d7-831e-b33dcc1ab571")]
   public sealed class TrainingBestSolutionAnalyzer : SymbolicDataAnalysisSingleObjectiveTrainingBestSolutionAnalyzer<ISolution>,
   ISymbolicDataAnalysisInterpreterOperator {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ValidationBestSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ValidationBestSolutionAnalyzer.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/SingleObjective/ValidationBestSolutionAnalyzer.cs	(revision 14927)
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("Validation-best Solution Analyzer (symbolic trading)", "An operator that analyzes the validation best symbolic trading solution for single objective symbolic trading problems.")]
-  [StorableClass]
+  [StorableType("c5370d62-1268-47a7-92b8-a75abc06ff90")]
   public sealed class ValidationBestSolutionAnalyzer : SymbolicDataAnalysisSingleObjectiveValidationBestSolutionAnalyzer<ISolution, ISingleObjectiveEvaluator, IProblemData> {
 
Index: branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Solution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Solution.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis.Trading/3.4/Symbolic/Solution.cs	(revision 14927)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 
@@ -31,5 +31,5 @@
   /// Represents a symbolic trading solution (model + data) and attributes of the solution like accuracy and complexity
   /// </summary>
-  [StorableClass]
+  [StorableType("d2e7e889-74de-4020-bd20-8cbfdec4330f")]
   [Item(Name = "Solution (symbolic trading)",
     Description =
